#!/bin/sh

base=`basename "$0"`
game="${base%.sh}"
savedir=~/.renpy/"$game"/

if [ -f "$savedir/glreadpixels.fail" ]; then
    glreadpixels_fail=1
else
    glreadpixels_fail=0
fi

# We assume Darwin means Mac OS X. Sorry, Darwin guys.
if [ "x`uname -s`" = "xDarwin" ]; then
    dir=`dirname "$0"`
    dir=`cd "$dir"; pwd`

    export RENPY_LAUNCHER_DIR="$dir"

    if [ -e "$dir/${base%.sh}.app/Contents/MacOS/${base%.sh}" ] ; then
        launcher="$dir/${base%.sh}.app/Contents/MacOS/${base%.sh}"
    else
        launcher="$dir/${base%.sh}.app/Contents/MacOS/Ren'Py Launcher"
    fi

    exec "$launcher" "${0%.sh}.py" "$@"
fi

"`dirname \"$0\"`/lib/python" "-OO" "${0%.sh}.py" "$@"
if [ -f "$savedir/glreadpixels.fail" ]; then
    if [ $glreadpixels_fail -eq 0 ]; then
        echo "Forcing software mode due to crash reading pixel data."
        exec $0
    fi
fi    
